body {
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen",
    "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue",
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, "Courier New",
    monospace;
}

h1 {
  margin-top: 5rem;
}
button {
  display: inline-block;
  outline: 0;
  cursor: pointer;
  border: none;
  padding: 0 56px;
  height: 45px;
  line-height: 45px;
  border-radius: 7px;
  background-color: #0070f3;
  color: white;
  font-weight: 400;
  font-size: 16px;
  box-shadow: 0 4px 14px 0 rgb(0 118 255 / 39%);
  transition: background 0.2s ease, color 0.2s ease, box-shadow 0.2s ease;
}
button:hover {
  background: rgba(0, 118, 255, 0.9);
  box-shadow: 0 6px 20px rgb(0 118 255 / 23%);
}
button:active {
  background: #0070f3;
  box-shadow: 0 6px 20px rgb(0 118 255 / 23%);
}

button:disabled,
button[disabled] {
  background-color: #78b7ff;
  cursor: not-allowed;
  pointer-events: none;
}

input {
  padding: 6px 12px;
  font-size: 16px;
  font-weight: 400;
  line-height: 1.5;
  color: #212529;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  appearance: none;
  border-radius: 4px;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
input:focus {
  color: #212529;
  background-color: #fff;
  border-color: #86b7fe;
  outline: 0;
  box-shadow: 0 0 0 0.25rem rgb(13 110 253 / 25%);
}
input:disabled,
input[disabled] {
  background-color: rgb(223, 223, 223);
  color: gray;
}

.app {
  display: flex;
  flex-direction: column;
  text-align: center;
  align-items: center;
}

.page {
  display: flex;
  flex-direction: column;
  gap: 0.1rem;
  margin-left: 5rem;
}

.error {
  background-color: rgb(242, 200, 200);
  color: rgb(99, 0, 0);
  border: 1px solid rgb(219, 153, 153);
  padding: 1rem 0;
  border-radius: 0.1rem;
  position: absolute;
  z-index: 1;
  width: 100%;
}
.placeholder {
  padding: 1rem 0;
}

p {
  display: flex;
  gap: 0.6rem;
}
